Bug 867137 - mod_wsgi 3.4-1 not built with $RPM_LD_FLAGS
mod_wsgi 3.4-1 not built with $RPM_LD_FLAGS
Product: Fedora
Classification: Fedora
Component: mod_wsgi (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
: Patch
Depends On:
  Show dependency treegraph
Reported: 2012-10-16 16:50 EDT by Ville Skyttä
Modified: 2012-11-23 02:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-23 02:30:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2012-10-16 16:50:26 EDT
mod_wsgi 3.4-1 is not built with $RPM_LD_FLAGS, I assume that's not intentional.
One way to fix it:

--- a/mod_wsgi.spec
+++ b/mod_wsgi.spec
@@ -34,4 +34,5 @@ existing WSGI adapters for mod_python or CGI.
+export LDFLAGS="$RPM_LD_FLAGS -L%{_libdir}"
 %configure --enable-shared --with-apxs=%{_httpd_apxs}
-make LDFLAGS="-L%{_libdir}" %{?_smp_mflags}
+make %{?_smp_mflags}
Comment 1 Matthias Runge 2012-10-17 02:10:27 EDT
Thank you for the report, that was indeed not intentional. I'll fix it during the day.
Comment 2 Fedora Update System 2012-10-17 03:26:36 EDT
mod_wsgi-3.4-2.fc18 has been submitted as an update for Fedora 18.
Comment 3 Fedora Update System 2012-10-17 13:33:08 EDT
Package mod_wsgi-3.4-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mod_wsgi-3.4-2.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-11-14 02:27:27 EST
mod_wsgi-3.4-4.fc18 has been submitted as an update for Fedora 18.
Comment 5 Fedora Update System 2012-11-23 02:30:08 EST
mod_wsgi-3.4-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.